Bug 1860710 - Error creating SSL OVNDBClient when using IPv6 addresses
Summary: Error creating SSL OVNDBClient when using IPv6 addresses
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.6.0
Assignee: Tim Rozet
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-26 19:38 UTC by Stephen Benjamin
Modified: 2020-10-27 16:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:17:14 UTC
Target Upstream Version:
anusaxen: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 216 0 None closed Bug 1860710: 7-27-2020 merge 2020-09-28 14:21:50 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:20:23 UTC

Description Stephen Benjamin 2020-07-26 19:38:18 UTC
OVN isn't coming up for baremetal IPI which uses IPv6, it's giving me this error which looks like some kind of parsing problem with IPv6 addresses:

ovnkube.go:331] Watching config file /run/ovnkube-config/ovnkube.conf for changes\nI0725 16:41:18.055412       1 ovnkube.go:331] Watching config file /run/ovnkube-config/..2020_07_25_16_14_39.259550980/ovnkube.conf for changes\nF0725 16:41:18.059208       1 ovnkube.go:130] error when trying to initialize go-ovn NB client: couldn't initialize NBDB client: error creating SSL OVNDBClient for database OVN_Northbound at address ssl:[fd2e:6f44:5dd8:c956::14]:9641,ssl:[fd2e:6f44:5dd8:c956::15]:9641,ssl:[fd2e:6f44:5dd8:c956::16]:9641: failed to connect: dial tcp: address [fd2e:6f44: missing ']' in address\n",

You can grab logs from here, we were able to collect an install-gather when bootstrap complete failed: 

https://gcsweb-ci.apps.ci.l2s4.p1.openshiftapps.com/gcs/origin-ci-test/pr-logs/pull/openshift-metal3_dev-scripts/1071/pull-ci-openshift-metal3-dev-scripts-master-e2e-metal-ipi/1286745965260181504/artifacts/e2e-metal-ipi/baremetalds-devscripts-gather/

Comment 2 Stephen Benjamin 2020-07-26 20:25:33 UTC
My attempt at a fix upstream, that will need to get pulled into OpenShift:
  https://github.com/ovn-org/ovn-kubernetes/pull/1539

It looks like libovsdb had a parsing error in handling IPv6 addresses that was since fixed: https://github.com/eBay/libovsdb/pull/20

Comment 8 Anurag saxena 2020-10-02 07:01:13 UTC
Yurii, Yep VM should suffice to check this although the bug is reported on IPI BM. Code path should be same though.
Yep, if cluster is coming up fine and pods under openshift-ovn-kubernetes looks good. Its good to verify IMO

Comment 9 Yurii Prokulevych 2020-10-02 12:49:42 UTC
(In reply to Anurag saxena from comment #8)
> Yurii, Yep VM should suffice to check this although the bug is reported on
> IPI BM. Code path should be same though.
> Yep, if cluster is coming up fine and pods under openshift-ovn-kubernetes
> looks good. Its good to verify IMO

Verified with 4.6.0-fc.8 on IPv6 deployment(baremetal and provisioning net)

oc get co
NAME                                       VERSION      AVAILABLE   PROGRESSING   DEGRADED   SINCE
authentication                             4.6.0-fc.8   True        False         False      14h
cloud-credential                           4.6.0-fc.8   True        False         False      18h
cluster-autoscaler                         4.6.0-fc.8   True        False         False      17h
config-operator                            4.6.0-fc.8   True        False         False      18h
console                                    4.6.0-fc.8   True        False         False      17h
csi-snapshot-controller                    4.6.0-fc.8   True        False         False      17h
dns                                        4.6.0-fc.8   True        False         False      18h
etcd                                       4.6.0-fc.8   True        False         False      18h
image-registry                             4.6.0-fc.8   True        False         False      17h
ingress                                    4.6.0-fc.8   True        False         False      17h
insights                                   4.6.0-fc.8   True        False         False      17h
kube-apiserver                             4.6.0-fc.8   True        False         False      17h
kube-controller-manager                    4.6.0-fc.8   True        False         False      18h
kube-scheduler                             4.6.0-fc.8   True        False         False      18h
kube-storage-version-migrator              4.6.0-fc.8   True        False         False      17h
machine-api                                4.6.0-fc.8   True        False         False      17h
machine-approver                           4.6.0-fc.8   True        False         False      18h
machine-config                             4.6.0-fc.8   True        False         False      17h
marketplace                                4.6.0-fc.8   True        False         False      17h
monitoring                                 4.6.0-fc.8   True        False         False      17h
network                                    4.6.0-fc.8   True        False         False      18h
node-tuning                                4.6.0-fc.8   True        False         False      18h
openshift-apiserver                        4.6.0-fc.8   True        False         False      17h
openshift-controller-manager               4.6.0-fc.8   True        False         False      17h
openshift-samples                          4.6.0-fc.8   True        False         False      17h
operator-lifecycle-manager                 4.6.0-fc.8   True        False         False      18h
operator-lifecycle-manager-catalog         4.6.0-fc.8   True        False         False      18h
operator-lifecycle-manager-packageserver   4.6.0-fc.8   True        False         False      17h
service-ca                                 4.6.0-fc.8   True        False         False      18h
storage                                    4.6.0-fc.8   True        False         False      18h

oc get po -n openshift-ovn-kubernetes
NAME                           READY   STATUS    RESTARTS   AGE
ovnkube-master-jnvs9           4/4     Running   0          18h
ovnkube-master-jxbhh           4/4     Running   0          18h
ovnkube-master-metrics-cl2nk   1/1     Running   0          18h
ovnkube-master-metrics-fz6p2   1/1     Running   0          18h
ovnkube-master-metrics-jnvmc   1/1     Running   0          18h
ovnkube-master-pnb7x           4/4     Running   0          18h
ovnkube-node-bzvwm             2/2     Running   0          17h
ovnkube-node-fhk8l             2/2     Running   0          18h
ovnkube-node-lwtwc             2/2     Running   0          18h
ovnkube-node-metrics-9nwd9     1/1     Running   0          18h
ovnkube-node-metrics-fq66w     1/1     Running   0          17h
ovnkube-node-metrics-r52k5     1/1     Running   0          18h
ovnkube-node-metrics-tbrs4     1/1     Running   0          18h
ovnkube-node-metrics-wtkk7     1/1     Running   0          17h
ovnkube-node-pcmr6             2/2     Running   0          18h
ovnkube-node-pfr9n             2/2     Running   0          17h
ovs-node-jf2wp                 1/1     Running   0          18h
ovs-node-mgbwz                 1/1     Running   0          18h
ovs-node-p6hzk                 1/1     Running   0          17h
ovs-node-rkndd                 1/1     Running   0          17h
ovs-node-w74s7                 1/1     Running   0          18h

Comment 11 errata-xmlrpc 2020-10-27 16:17:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196

Comment 12 errata-xmlrpc 2020-10-27 16:20:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.